org.jbpm.kie.services.impl.admin.commands

## Class ScheduleTaskDeadlineCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Long>
    - - org.jbpm.kie.services.impl.admin.commands.ScheduleTaskDeadlineCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Long>, org.kie.api.command.Command<Long>

      public class ScheduleTaskDeadlineCommand
      extends UserGroupCallbackTaskCommand<Long>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduleTaskDeadlineCommand(String userId, long taskId, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type, org.kie.internal.task.api.model.Deadline deadline, String timeExpression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `execute(org.kie.api.runtime.Context cntxt)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### ScheduleTaskDeadlineCommand

          public ScheduleTaskDeadlineCommand(String userId,
                                             long taskId,
                                             org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type,
                                             org.kie.internal.task.api.model.Deadline deadline,
                                             String timeExpression)

  - ### Method Detail

    - #### execute

          public Long execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<Long>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Long>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.